/*
 * Carlos engine rewrite
 * Copyright (C) 2006-2011 Gregory Montoir (cyx@users.sourceforge.net)
 */

#ifndef RESOURCE_H__
#define RESOURCE_H__

#include "util.h"
#include "defs.h"

struct Render;

#define REF_REF_SIZE 338 // TODO
#define DECOR_CDG_SIZE 24000
#define MAX_RES_SLOTS 12

struct Resource {
	uint8 _decor_cdg[DECOR_CDG_SIZE];
	anim_data_t _ref_ref[REF_REF_SIZE];
	anim_data_t _ref_ref_use_ptr3; /* (anim_data_t *)0xFFFF in the original code */
	anim_data_t anim_data0;
	const uint8 *_decor_pal;
	const uint8 *_copper_pal;
	const uint8 *_decor_blk;
	const uint8 *_decor_ref;
	const uint8 *_level_spr;
	const uint8 *_oscar_spr;
	const uint8 *_friend_spr;
	const uint8 *_posit_ref;
	int _posit_count;
	const uint8 *_boss_spr;
	const uint8 *_flash_pal;
	const uint8 *_carlos1_spr;
	const uint8 *_carlos2_spr;
	const uint8 *_digits_spr;
	const uint8 *_lifebar_spr;
	const uint8 *_new_new;
	int res_slot_count;
	int res_slot_table[MAX_RES_SLOTS];
	int level_data_loaded;

	const uint8 *get_new_ptr(int num);
	anim_data_t *get_ref_ptr(int num_ref, int anim_count);
	void get_sprite_dim(const uint8 *data, int num, int *w, int *h);
	const uint8 *fetch_level_data(const char *filename, int *size = 0);
	void load_ref_ref__v2(const uint8 *data, int size);
	void set_colors(int level, Render *render);
	void load_level_data__v3(int level, Render *render);
	void unload_level_data();
	void load_fond(int num, Render *render);
	void init_static_data__v3();
};

#endif // RESOURCE_H__
