/*
 * Carlos engine rewrite
 * Copyright (C) 2006-2011 Gregory Montoir (cyx@users.sourceforge.net)
 */

#include <time.h>
#include "util.h"

uint16 util_random_seed;
static int util_debug_mask = 0;

void string_upper(char *p) {
	for (; *p; ++p) {
		if (*p >= 'a' && *p <= 'z') {
			*p += 'A' - 'a';
		}
	}
}

void debug(int debug_channel, const char *msg, ...) {
	if (util_debug_mask & debug_channel) {
		char buf[256];
		va_list va;
		va_start(va, msg);
		vsprintf(buf, msg, va);
		va_end(va);
		fprintf(stdout, "%s\n", buf);
	}
}

void warning(const char *msg, ...) {
	char buf[256];
	va_list va;
	va_start(va, msg);
	vsprintf(buf, msg, va);
	va_end(va);
	fprintf(stdout, "WARNING: %s\n", buf);
}

void error(const char *msg, ...) {
	char buf[256];
	va_list va;
	va_start(va, msg);
	vsprintf(buf, msg, va);
	va_end(va);
	fprintf(stdout, "ERROR: %s!\n", buf);
	exit(-1);
}

void info(const char *msg, ...) {
	char buf[256];
	va_list va;
	va_start(va, msg);
	vsprintf(buf, msg, va);
	va_end(va);
	fprintf(stdout, "%s\n", buf);
}

void setRandomSeed() {
	util_random_seed = (uint16)time(0);
}

uint16 getRandomNumber(uint16 mod) {
	uint16 r1 = util_random_seed;
	uint16 r2 = r1;
	assert(mod != 0);
	r1 <<= 1;
	r1 += r2;
	r1 <<= 1;
	r1 += r2 * 3;
	r1 <<= 2;
	r1 += r2;
	r1 <<= 2;
	r1 += r2;
	r1 <<= 2;
	r1 += r2;
	r1 <<= 1;
	r1 += r2;
	r1 <<= 2;
	r1 += r2;
	r1 <<= 2;
	r1 += r2;
	util_random_seed = r1 + 1;
	return util_random_seed % mod;
}

