/*
 * Carlos engine rewrite
 * Copyright (C) 2006-2011 Gregory Montoir (cyx@users.sourceforge.net)
 */

#ifndef UTIL_H__
#define UTIL_H__

#include <assert.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#define DBG_GAME (1 << 0)

#define GCC_INLINE __inline__

#define MIN(a,b) ((a)<(b)?(a):(b))
#define MAX(a,b) ((a)>(b)?(a):(b))
#define ABS(a) (((a)<0)?(-(a)):(a))
#define ARRAYSIZE(a) (sizeof(a)/sizeof(a[0]))

typedef uint8_t uint8;
typedef int8_t int8;
typedef uint16_t uint16;
typedef int16_t int16;
typedef uint32_t uint32;
typedef int32_t int32;

extern void string_upper(char *p);
extern void debug(int debug_channel, const char *msg, ...);
extern void warning(const char *msg, ...);
extern void error(const char *msg, ...);
extern void info(const char *msg, ...);

static GCC_INLINE uint16 READ_LE_UINT16(const void *ptr) {
	const uint8 *b = (const uint8 *)ptr;
	return (b[1] << 8) | b[0];
}

static GCC_INLINE uint16 READ_BE_UINT16(const void *ptr) {
	const uint8 *b = (const uint8 *)ptr;
	return (b[0] << 8) | b[1];
}

extern uint16 util_random_seed;

void setRandomSeed();
uint16 getRandomNumber(uint16 mode);

#endif // UTIL_H__
